.header {
    background-color: $black;
    border-bottom: 1px solid $white;
    position: fixed;
    z-index: 10;
    width: 100%;

    .header__navigation {
        display: flex;
        justify-content: space-between;
        padding: 20px 0;

        @media (max-width: 1280px) {
            padding: 18px 0;
        }

        @media (max-width: 768px) {
            position: relative;
        }

        .nav__item {
            @include navItem; 
        }
    
        .nav__dropdown {
            @include navDropdown;
            
            .nav__list {
                @include navList;
    
                .sub-nav__item {
                    @include subNavItem;
                }
    
                .sub-nav__dropdown {
                    @include subNavDropdown;
    
                    .sub-nav__list {
                        @include subNavList;
                    }
                }
            }
        }
    
        @media (max-width: 425px) {
            .nav__mobile--hide {
                display: none;
            }
        }
        
        @media (max-width: 1280px) {
            gap: 0;
            justify-content: space-between;
        }
    }
}